import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function qualityFeedbackList(data) {
  return request({
    url: `/quality/feedback/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function qualityFeedbackListExport(data, name) {
  return postBlob({
    url: '/quality/feedback/list/export',
    data,
    name
  })
}

export function qualityFeedbackAdd(data) {
  return request({
    url: '/quality/feedback/add',
    method: 'post',
    data: data
  })
}

export function qualityFeedbackUpdate(data) {
  return request({
    url: '/quality/feedback/update',
    method: 'post',
    data: data
  })
}

export function qualityFeedbackDetail(params) {
  return request({
    url: '/quality/feedback/detail',
    method: 'post',
    params: params
  })
}

export function qualityFeedbackConfirm(params) {
  return request({
    url: '/quality/feedback/confirm',
    method: 'post',
    params: params
  })
}

export function qualityFeedbackUpdateUpload(params) {
  return request({
    url: '/quality/feedback/update/upload',
    method: 'post',
    params: params
  })
}

export function qualityFeedbackCount(params) {
  return request({
    url: '/quality/feedback/count',
    method: 'post',
    params: params
  })
}
